Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-1876

3.4.3 broke the ability to add provider-specific parameters to built-in types

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Won't Fix
    • Affects Version/s: PUP 3.4.3
    • Fix Version/s: PUP 3.5.0
    • Component/s: Types and Providers
    • Labels:
      None
    • Template:

      Description

      Until 3.4.3 it has been possible to extend built-in types as desired in PUP-1183 by including a lib/puppet/type/package.rb file that expands upon the one included in puppet itself.

      This allowed provider specific options without using install_options.

      An example of how this worked previously, it was possible to copy lib/puppet/type/package.rb from puppet into a module as described in http://docs.puppetlabs.com/guides/plugins_in_modules.html and then modifying that file adding parameters as necessary.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                anthonyryan1 Anthony Ryan
                Reporter:
                anthonyryan1 Anthony Ryan
              • Votes:
                2 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Zendesk Support